Package org.eclipse.birt.chart.event

# Class Text3DRenderEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.PrimitiveRenderEvent
org.eclipse.birt.chart.event.TextRenderEvent
org.eclipse.birt.chart.event.Text3DRenderEvent

All Implemented Interfaces:
  `Serializable`, `Comparable`, `I3DRenderEvent`

public final class Text3DRenderEvent extends TextRenderEvent implements I3DRenderEvent
A rendering event type for rendering 3D text object.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.birt.chart.event.TextRenderEvent

`ABOVE, BELOW, LEFT, RENDER_SHADOW_AT_LOCATION, RENDER_TEXT_AT_LOCATION, RENDER_TEXT_IN_BLOCK, RIGHT, UNDEFINED`

### Fields inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`DRAW, FILL, iObjIndex`

## Constructor Summary

Constructors
Constructor
Description
`Text3DRenderEvent(Object oSource)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`PrimitiveRenderEvent`
`copy()`
`Location3D[]`
`getBlockBounds3D()`
`Location3D`
`getLocation3D()`
`Object3D`
`getObject3D()`
Returns the 3D object associated with this event.
`void`
`prepare2D(double xOffset, double yOffset)`
Prepares the coordinates to render on 2D plane.
`void`
`reset()`
Resets the inner state of current event.
`void`
`setBlockBounds3D(Location3D[] loa)`
Sets the 3D block bounds of the text.
`void`
`setLocation3D(Location3D loc)`
Sets the 3D location of the text.

### Methods inherited from class org.eclipse.birt.chart.event.TextRenderEvent

`draw, fill, getAction, getBlockAlignment, getBlockBounds, getLabel, getLocation, getTextPosition, setAction, setBlockAlignment, setBlockBounds, setLabel, setLocation, setRtlCaption, setTextPosition, updateFrom`

### Methods inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`compareRegular, compareTo, compareTransposed, getBackground, getBounds, getDepth, getLineAttributes, isEnabled, setDepth, setEnable`

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Text3DRenderEvent

public Text3DRenderEvent(Object oSource)
The constructor.

## Method Details

### setLocation3D

public void setLocation3D(Location3D loc)
Sets the 3D location of the text.

### getLocation3D

public Location3D getLocation3D()

Returns:
  Returns the 3D location of the text.

### setBlockBounds3D

public void setBlockBounds3D(Location3D[] loa)
Sets the 3D block bounds of the text.

### getBlockBounds3D

public Location3D[] getBlockBounds3D()

Returns:
  Returns the 3D block bounds of the text.

### copy

public PrimitiveRenderEvent copy()

Overrides:
  `copy` in class `TextRenderEvent`
Returns:
  A copy of this primitive rendering instruction implemented by subclasses

### getObject3D

public Object3D getObject3D()
Description copied from interface: `I3DRenderEvent`
Returns the 3D object associated with this event.

Specified by:
  `getObject3D` in interface `I3DRenderEvent`
Returns:

### prepare2D

public void prepare2D(double xOffset, double yOffset)
Description copied from interface: `I3DRenderEvent`
Prepares the coordinates to render on 2D plane.

Specified by:
  `prepare2D` in interface `I3DRenderEvent`
Parameters:
  `xOffset` -
  `yOffset` -

### reset

public void reset()
Description copied from class: `ChartEvent`
Resets the inner state of current event. This must be implemented if the object is cached and reused.

Overrides:
  `reset` in class `TextRenderEvent`